<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Mspelayanan extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
        /* if ( $this->session->userdata('pbb')<>1 ) {
                $this->session->set_flashdata('notif','<div class='badge'>
                    Silahkan login dengan username dan password anda.</p>
                    </div>');
                redirect('auth');
            }*/
        $this->load->model('Mpl');
        $this->load->library('form_validation');
        $this->load->library('datatables');
    }

    public function index()
    {
        $this->template->load('template', 'mspelayanan/mspelayanan_list');
    }

    public function json()
    {
        header('Content-Type: application/json');
        echo $this->Mpl->json();
    }



    public function create()
    {
        $data = array(
            'button' => 'Tambah Mspelayanan',
            'action' => site_url('mspelayanan/create_action'),
            'KD_JNS_PELAYANAN' => set_value('KD_JNS_PELAYANAN'),
            'NM_JENIS_PELAYANAN' => set_value('NM_JENIS_PELAYANAN'),
        );
        $this->template->load('template', 'mspelayanan/mspelayanan_form', $data);
    }

    public function create_action()
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->create();
        } else {
            $data = array(
                'KD_JNS_PELAYANAN' => $this->input->post('KD_JNS_PELAYANAN', TRUE),
                'NM_JENIS_PELAYANAN' => $this->input->post('NM_JENIS_PELAYANAN', TRUE),
            );

            $this->Mpl->insert($data);
            $this->session->set_flashdata('message', 'Create Record Success');
            redirect(site_url('mspelayanan'));
        }
    }

    public function update($id)
    {
        $row = $this->Mpl->get_by_id($id);

        if ($row) {
            $data = array(
                'button' => 'Update Mspelayanan ',
                'action' => site_url('mspelayanan/update_action'),
                'KD_JNS_PELAYANAN' => set_value('KD_JNS_PELAYANAN', $row->KD_JNS_PELAYANAN),
                'NM_JENIS_PELAYANAN' => set_value('NM_JENIS_PELAYANAN', $row->NM_JENIS_PELAYANAN),
            );
            $this->template->load('template', 'mspelayanan/mspelayanan_form', $data);
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('mspelayanan'));
        }
    }

    public function update_action()
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->update($this->input->post('', TRUE));
        } else {
            $data = array(
                'KD_JNS_PELAYANAN' => $this->input->post('KD_JNS_PELAYANAN', TRUE),
                'NM_JENIS_PELAYANAN' => $this->input->post('NM_JENIS_PELAYANAN', TRUE),
            );

            $this->Mpl->update($this->input->post('', TRUE), $data);
            $this->session->set_flashdata('message', 'Update Record Success');
            redirect(site_url('mspelayanan'));
        }
    }

    public function delete($id)
    {
        $row = $this->Mpl->get_by_id($id);

        if ($row) {
            $this->Mpl->delete($id);
            $this->session->set_flashdata('message', 'Delete Record Success');
            redirect(site_url('mspelayanan'));
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('mspelayanan'));
        }
    }

    public function _rules()
    {
        $this->form_validation->set_rules('KD_JNS_PELAYANAN', 'kd jns pelayanan', 'trim|required');
        $this->form_validation->set_rules('NM_JENIS_PELAYANAN', 'nm jenis pelayanan', 'trim|required');

        $this->form_validation->set_rules('', '', 'trim');
        $this->form_validation->set_error_delimiters('<span class="label label-danger ">', '</span>');
    }
}

/* End of file Mspelayanan.php */
/* Location: ./application/controllers/Mspelayanan.php */
/* Generated by Mohamad Wahyu Dewantoro 2017-04-28 05:09:16 */
